<?php
/**
 * config du plugin
 * 
 * @author ulrich, 12/08/11
 *
 */
class ulAssetManagerPluginConfiguration extends sfPluginConfiguration
{
	/**
	 * Vérifie que les plugins ulMyConfigHandlerPlugin et sf2AsseticPlugin sont présent et enable dans le projet.
	 * 
	 * (non-PHPdoc)
	 * @see lib/vendor/symfony/lib/config/sfPluginConfiguration::initialize()
	 */
	public function initialize()
	{
		$aPlugins = $this->configuration->getPlugins();
		
		if(!in_array('ulMyConfigHandlerPlugin', $aPlugins))
			throw new clsAssetManagerException('Le plugin ulMyConfigHandlerPlugin est obligatoire pour utiliser ce plugin.');
			
		if(!in_array('sf2AsseticPlugin', $aPlugins))
			throw new clsAssetManagerException('Le plugin sf2AsseticPlugin est obligatoire pour utiliser ce plugin.');
	}
}