<?php
/**
 * class permettant de regrouper un ensemble de fichier JS dans un seul fichier JS et de le compresser, via le composant Assetic de sf2 
 * @author ulrich, 16/08/11
 * @abstract
 *
 */
class clsAssetJs extends absAsset
{
	public function __construct()
	{
		$this->sDir = sfConfig::get('sf_web_dir').'/js/';
		
		$oJsCompressor = new Assetic\Filter\Yui\JsCompressorFilter(sfConfig::get('sf_plugins_dir').'/sf2AsseticPlugin/external/yuicompressor.jar');
		$oJsCompressor->setDisableOptimizations(false);
		$oJsCompressor->setPreserveSemi(false);
		
		$this->aCompresseurs[] = $oJsCompressor; 
	}
}